Bug 232957 - [new port] databases/pgpool-II40: latest versioni of pgpool-II
Summary: [new port] databases/pgpool-II40: latest versioni of pgpool-II
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: amd64 Any
: --- Affects Many People
Assignee: Jochen Neumeister
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-11-04 12:04 UTC by Franco Ricci
Modified: 2018-11-15 21:08 UTC (History)
2 users (show)

See Also:


Attachments
pgpool-II40 port (19.00 KB, application/octet-stream)
2018-11-04 12:04 UTC, Franco Ricci
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Franco Ricci 2018-11-04 12:04:31 UTC
Created attachment 198939 [details]
pgpool-II40 port

Created new port for pgpool-II-4.0.1.
It works with FreeBSD 11.2 AMD64.
Added configure option: pam, libmemecached
Comment 1 Jochen Neumeister freebsd_committer 2018-11-04 12:13:26 UTC
thanks for the PR :-)

I thing, it is better to use "svn cp databases/pgpool-II-37 databases/pgpool-II-40" and than edit the files.
Comment 2 Franco Ricci 2018-11-05 18:14:45 UTC
(In reply to Jochen Neumeister from comment #1)
Sure, I started from last databases/pgpool-II-37 commit and edited files as you suggested.
I only add 2 new configure option: pam and libmemecached support.

I hope it's ok!
Comment 3 Jochen Neumeister freebsd_committer 2018-11-10 18:45:24 UTC
okay, thanks for the PR and the Patch. @tz is currently very busy. I will do it. Please give me a few days time. :-)
Comment 4 Franco Ricci 2018-11-13 18:39:55 UTC
(In reply to Jochen Neumeister from comment #3)
Don't worry take your time and thanks a lot to all!!!
Comment 5 commit-hook freebsd_committer 2018-11-15 21:07:29 UTC
A commit references this bug:

Author: joneum
Date: Thu Nov 15 21:06:27 UTC 2018
New revision: 485048
URL: https://svnweb.freebsd.org/changeset/ports/485048

Log:
  New Port: databases/pgpool-II-40

  pgpool is a connection pool server for PostgreSQL. pgpool runs between
  PostgreSQL's clients(front ends) and servers(back ends). A PostgreSQL client can
  connect to pgpool as if it were a standard PostgreSQL server.

  pgpool caches the connection to PostgreSQL server to reduce the overhead to
  establish the connection to it.

  WWW: http://pgpool.net/

  PR:		232957
  Reported by:	Franco Ricci <franco.ricc@gmail.com>
  Approved by:	tz (implicit)
  Sponsored by:	Netzkommune GmbH

Changes:
  head/databases/Makefile
  head/databases/pgpool-II-40/
  head/databases/pgpool-II-40/Makefile
  head/databases/pgpool-II-40/distinfo
  head/databases/pgpool-II-40/pkg-plist
Comment 6 Jochen Neumeister freebsd_committer 2018-11-15 21:08:41 UTC
Landed with a few small changes. thx :-)